> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-a804b3ad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Обновить участника организации

> Обновляет роль участника organization.



## OpenAPI

````yaml /ru/_specs/cloud-openapi.json patch /v1/organizations/{organizationId}/members/{userId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/members/{userId}:
    patch:
      tags:
        - User management
      summary: Обновить участника организации
      description: Обновляет роль участника organization.
      parameters:
        - description: ID organization, в которую входит участник.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ID пользователя, данные которого нужно изменить
          in: path
          name: userId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberPatchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: >-
                      Уникальный идентификатор, назначаемый каждому запросу.
                      UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Member'
                  status:
                    description: Код состояния HTTP.
                    example: 200
                    type: number
                type: object
          description: Успешный ответ
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: Подробное описание ошибки.
                    type: string
                  status:
                    description: Код состояния HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            Сервер не может или не будет обрабатывать запрос из-за ошибки на
            стороне клиента.
components:
  schemas:
    MemberPatchRequest:
      properties:
        role:
          description: Роль участника в организации.
          enum:
            - admin
            - developer
          type: string
    Member:
      properties:
        email:
          description: Email участника, заданный в личном профиле пользователя.
          format: email
          type: string
        joinedAt:
          description: Временная метка присоединения участника к организации. ISO-8601.
          format: date-time
          type: string
        name:
          description: Имя участника, заданное в личном профиле пользователя.
          type: string
        role:
          description: Роль участника в организации.
          enum:
            - admin
            - developer
          type: string
        userId:
          description: >-
            Уникальный ID пользователя. Если пользователь состоит в нескольких
            организациях, этот ID останется неизменным.
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        Используйте идентификатор ключа и секрет ключа, полученные в консоли
        ClickHouse Cloud: https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````